ru.bitel.bgbilling.modules.hd.server.task

## Class DeleteZonesFromServer

- java.lang.Object
- - ru.bitel.bgbilling.kernel.task.server.TaskBase
  - - ru.bitel.bgbilling.modules.hd.server.task.DeleteZonesFromServer

- All Implemented Interfaces:
    java.lang.Runnable

      public class DeleteZonesFromServer
      extends ru.bitel.bgbilling.kernel.task.server.TaskBase

  Класс задачи по удалению ненужных зон с сервера ДНС. Удаление происходит не так часто как добавление и в принципе задачу можно запускат раз в сутки или даже реже. СХЕМА: задача берет ВСЕ зоны из базы, создает их файлы и master-файл для них, далее скидывает это все на сервер во временную папку (нужно, если, например, bind подхватит новый master-файл до того, как файлы соответствующих зон успеют скопироваться на сервер), убивает все старые файлы зон и старый master-файл, затем из временной папки берет все и ложит в нужное место, удаляет временную папку. Сама задача занимается лишь формированием файлов, их отсылка на сервер DNS, а также манипуляции на сервере производит скрипт deleter.sh

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.task.server.TaskBase

      `defaultDescription, log, moduleId, setup, STATUS_FINISHED, STATUS_FINISHED_INTERRUPTED, STATUS_NOTSTARTED, STATUS_WORKING, taskId, taskSetup`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeleteZonesFromServer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `executeTask()`
    `java.lang.String` | `getDescription()`
    `protected boolean` | `initTask()`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.task.server.TaskBase

      `getFinishTime, getModuleId, getOperatingTime, getStartTime, getTaskSetup, getTaskStatus, getWorkingTime, initTask, putMyselfIntoTable, removeMyselfFromTable, run, runLocal, setExecutingTime, setModuleId, startTask`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeleteZonesFromServer

          public DeleteZonesFromServer()

  - ### Method Detail

    - #### initTask

          protected boolean initTask()

      Specified by:
        `initTask` in class `ru.bitel.bgbilling.kernel.task.server.TaskBase`

    - #### executeTask

          protected void executeTask()

      Specified by:
        `executeTask` in class `ru.bitel.bgbilling.kernel.task.server.TaskBase`

    - #### getDescription

          public java.lang.String getDescription()

      Specified by:
        `getDescription` in class `ru.bitel.bgbilling.kernel.task.server.TaskBase`